                 
                      MS2 microSchedule Release 2
 
                     Version 2.2.00  10-AUG-96

                          SHAREWARE RELEASE

                   (C) Copyright 1994-96 Arne Harren   
                          All rights reserved


                               - MANUAL -


                         -- Table Of Contents --

1.....................................WHAT IS MS2 - PURPOSE - FEATURES
2...............................................DISCLAIMER OF WARRANTY
3...............................................................SYNTAX
4...............................................THE VIRTUAL LAST LOGIN
5............................CREATING AND COMPILING A MESSAGE TEXTFILE
6..........................................USER-DEFINED SCREEN-BLANKER
7..........................................................DATE-FILTER
8..................................................ENVIRONMENT STRINGS
9...................................................DISTRIBUTION FILES
10..................REGISTRATION - LIMITATIONS TO AN UNREGISTERED COPY 



1 - WHAT IS MS2 - PURPOSE - FEATURES
------------------------------------

MS2 is a small utility to help you reminding your important dates.
Furthermore it offers the possibility to run other programmes in
combination with a certain date (e.g. a defrag tool, a virus scanner).

Normally placed in the autoexec.bat MS2 offers some kind of security
seal, which is broken if the size of the MS2.EXE file differs from the
one reported by DOS (possibly a virus infection), an user-definable
file called MS2VIRUS.BAT (not in the package!) will be started.

Features :

  - warning texts, which will be shown one month before the date 
    is reached.
  - normal texts to be displayed at a certain date
  - forgotten message remembering

  - messages for exactly specified dates
  - yearly, monthly, weekly messages
  - messages for every day of the week

  - file execution (like batch files, etc.)

  - a primitive anti virus protection (primitive because this shouldn't
    be another virus scanner)

  - a simple fortune text display
  


2 - DISCLAIMER OF WARRANTY
--------------------------

As a shareware program, MS2 and its utilities are distributed as-is.
The author disclaims all warranties, expressed or implied. The author
will assume no liability for damages either from the direct use of this
product or as a consequence of it's use.



3 - SYNTAX
----------

General usage is :

   MS2 <textfile> <indexfile> [/option] [/option] [...]

Where <textfile>  is the name of an ASCII MS2 message textfile
      <indexfile> is the name of the indexfile

Options are :

         /vll-                    or    /v-
         /vll+                          /v+
         /norestore                     /s
         /nofilter                      /nf
         /nofx                          /nx
         /fortune <file>                /f <file>
         /nutek                         /nt
         /timeout <seconds>             /t <secs>
         /old <numofdays>               /o <days>
         /warn <numofdays>              /w <days>
         /hide                          /d
         /nocalendar                    /nc

Descriptions :

   /vll-        activates Virtual Last Login with the restriction that
                the file execution feature is only enabled for the
                first startup on every day.

   /vll+        same as /vll-, but files will be run at every startup.

   /norestore   disables the screen-restoring after displaying 
                messages is finished.

   /nofilter    skips the datefilter during compilation
                (Note: the datefilter is only avaible in the NON-shareware)

   /nofx        if the colour-fading effects don't work correctly on your
                machine, you may turn them off

   /fortune     displays one line of <file>, selected via random
                (the file should be smaller than 32K)
                make sure that <file> doesn't consist of blank lines

   /nutek       blanks screen, after some seconds of keyboard inactivity,
                some monitors are able to detect this and switch to
                power-save mode

   /timeout     define timeout-seconds for keyboard inactivity
                standard is : 180 seconds

   /old         always shows <numofdays> days before last login
                standard is : 0 

   /warn        adds <numofdays> to normal number of warning days before

   /nocalendar  normally MS2 shows a calendar of the actual month
                this turns it off

   /hide        if possible, MS2 tries to hide any output which is not
                necessary 
                fortune texts will always be shown, if enabled.


Examples of running MS2 :

-A-

   MS2 MYTEXT.TXT MYINDEX.IDX

will start microSchedule with a textfile called MYTEXT.TXT and the
corresponding indexfile called MYINDEX.IDX.

Notice : There are no instructions for naming your files, this offers
         the possibility to have different indexfiles (e.g. for
         different users) for the same textfile

If MYINDEX.IDX doesn't exist or the textfile has been changed, MS2 will
create a new index out of the textfile or simply update the old one.


-B-

   MS2 MYTEXT.TXT MYINDEX.IDX /vll- /fortune FORTUNE.TXT /w 30

this is an examples of calling MS2 with enabled Virtual Last Login
feature and a fortune file name FORTUNE.TXT, the normal amount (of
up to 31 days) for warnings is extended to up to 61 days. 



4 - THE VIRTUAL LAST LOGIN
--------------------------

When calling MS2 without the /VLL+ or /VLL- option it will show the
messages only once a day. At every other startup it will stay calm,
because the last login was at the same day.

The Virtual Last Login is a way of telling MS2 to display the messages
since the last (real) login (of another day) at every startup. This is
reached by processing the last login as a virtual one, which means that
although you have more logins at the same day, MS2 uses the login of
the preceeding date and thus shows the messages at every startup. 

The VLL- option can easily be temporarily enabled by pressing the CTRL key
during MS2 startup.



5 - CREATING AND COMPILING A MESSAGE TEXTFILE
---------------------------------------------

A MS2 message textfiles consists of date-sections, where each section
has the following structure :

#D<date>#F<file>#P<prio>
*<year> <warn text>
*<year> <warn text>
 [..]
-<year> <normal text>
-<year> <normal text>
 [..]
% Comments
% Comments
% Comments


#D, * and - must appear in the beginning of a new line each!

A)  Available values for <date> are :
      YEAR        yearly messages
      MONT        monthly messages
      WEEK        weekly messages
      MOND        monday
      TUES        tuesday
      WEDN        wednesday
      THUR        thursday
      FRID        friday
      SATU        saturday
      SUND        sunday

      ddmm        where dd is the day and mm is the month
                  e.g.    0102  for  1st February
                       or 0311  for  3rd November

B)  <file> is the name of file, which will be called when <date> fits
    the current date. #F is possible in every #D section.
    Look at section 8.

C)  <prio> is a priority for file selection, when more files suit the
    current date (e.g. each YEAR, MONT and FRID have a file 
    specification). 
    <prio> is number with a size of 2 characters.

    The file with the highest priority is chosen for execution.

D)  *<year><text> specifies a text which will appear at the certain day
    and one month before (* is called a warn text). 
    <year> is an optional 2 or 4 digit number specifying the year of
           appearance
    <text> shouldn't have a size longer than 66 characters

    examples:
            #D0101
            * This text will appear every year from 01-DEC to 01-JAN
            *95 This text will appear from 01-DEC-xx94 to 01-JAN-xx95
            *99 This text will appear from 01-DEC-xx98 to 01-JAN-xx99
            *1995 This text will appear from 01-DEC-1994 to 01-JAN-1995


    * Warnings are available in sections like MONT, WEEK, ... ,
    SATU, SUND. , BUT the are treated as normal texts!!

E)  -<year><text> specifies a text which will only be shown at the
    current date.
    <year> is an optional 2 or 4 digit number specifying the year of
           appearance
    <text> shouldn't have a size longer than 66 characters

     examples:
            #D0101
            - This text will appear every year only on 01-JAN
            -95 This text will appear only on 01-JAN-xx95
            -99 This text will appear only on 01-JAN-xx99
            -2199 This text will appear only on 01-JAN-2199

    
Example for a textfile :

#DMONT#FMONTH.BAT#P10
-A new month. It's time for the MONTH.BAT
#DWEEK#FWEEK.BAT#P5
-A new week. It's time for WEEK.BAT (only if it's not a new
-month, because MONTH.BAT has a higher priority than
-WEEK.BAT). Perhaps EX_WEEK.BAT backups your personal data
-or runs defrag,...
#D0101
*Warning New Year one month before.
-Now is New Year
#DMOND
-Today is Monday!!
#DFRID
-Today is Friday!
#D3101
*This is perhaps your birthday
#D1407
*This is perhaps the birthday of your best friend


For compiling a textfile called MYTEXT.TXT into the indexfile
MYINDEX.IDX simply type :

   MS2 MYTEXT.TXT MYINDEX.IDX

While compilation MS2 reports any errors or warnings to the user.
Perhaps you will have to edit your textfile again and rerun MS2 for
compiling your text.



6 - USER-DEFINED SCREEN-BLANKER
-------------------------------

After some seconds (180 or user-defined) of keyboard-inactivity, MS2
looks for a file called MS2BLANK.BAT, if this file doesn't exists,
a simple random digital clock blanker is started, or the screen gets
dark (/NUTEK).

MS2BLANK.BAT can be used to run a sequence of other files or simply
to load a user's screen-blanker (e.g. for VESA blanking).



7 - DATEFILTER
--------------

Since version 2.0.60, MS2 uses a TWO-Pass compilation of the textfile.
If /NOFILTER is not specified in the command line, MS2 copies the
textfile to <file>.BAK and deletes all lines of the original file containing
a 4 digit year identifier which is out-of-date.



8 - ENVIRONMENT STRINGS
-----------------------

While file execution the following environment strings are available :

(e.g.)

MS2_DOW=MOND               day of week
MS2_DAY=26
MS2_MONTH=03
MS2_YEAR=96
MS2_FIRST=TRUE or FALSE    is it the first start this day ?



9 - DISTRIBUTION FILES
----------------------

MS2-2200.ZIP Contents :

   Name                  Size  Comment

   MS2      EXE        64.312  The main file
   MS2      MAN         8.556  This document
   REGISTER FRM         1.068  The Registration form

For an example batch-file (not included this time) look at
older releases of MS2 :
   EXAMPLE  BAT                An Example
   EX_TEXT  TXT                Files for EXAMPLE.BAT
   EX_MONTH BAT                
   EX_WEEK  BAT            



10 - REGISTRATION
-----------------

If you like this program, and plan to use it, you may try it during
a 30 days period, after which you should register.

Registered users get a version of MS2 without any restrictions. 

The registration fee is DM 20,-- (zwanzig Deutsche Mark, cash or 
check) for a single user.
Please contact me for a multi user arrangement.

Unregistered copies of MS2 have the following limitations:
 - 7 dates per textfile
 - 1 warning text per date
 - 3 file definitions
 - no datefilter (Single-Pass Compiler only)


Please send your suggestions, bug-reports and registration forms to:

      Arne Harren
      Georg-Schipper-Str. 126a
      26388 Wilhelmshaven
      GERMANY


or suggestions and bug-reports to :

      eMail :   Arne.Harren@Informatik.Uni-Oldenburg.DE

